export class BaseEngine {
    names = new Array();
    opts = undefined;
    engine;
    rootTemplatePath = undefined;
    __extensions = new Array();
    getExtensions() {
        return this.__extensions;
    }
    setExtensions(extensions) {
        this.__extensions = new Array();
        for (const extension of extensions) {
            const newExtension = extension.trim().toLowerCase();
            if (!this.__extensions.includes(newExtension)) {
                this.__extensions.push(newExtension);
            }
        }
    }
    deleteExtension(name) {
        for (const [index, extension] of this.__extensions.entries()) {
            if (name.toLowerCase().trim() === extension) {
                this.__extensions.splice(index, 1);
            }
        }
    }
}
//# sourceMappingURL=base-engine.js.map