import * as ejs from 'ejs';
import { BaseEngine } from '../base-engine.js';
// eslint-disable-next-line @typescript-eslint/naming-convention
export class EJS extends BaseEngine {
    constructor(options) {
        super();
        this.names = ['ejs'];
        if (options) {
            this.opts = options;
        }
        this.setExtensions(['ejs']);
    }
    async render(source, data) {
        this.engine ||= ejs;
        this.opts ||= {};
        if (this.rootTemplatePath) {
            this.opts.root = this.rootTemplatePath;
        }
        return ejs.render(source, data, this.opts);
    }
    renderSync(source, data) {
        this.engine ||= ejs;
        this.opts ||= {};
        if (this.rootTemplatePath) {
            this.opts.root = this.rootTemplatePath;
        }
        return ejs.render(source, data, this.opts);
    }
}
//# sourceMappingURL=ejs.js.map