import { Liquid as LiquidEngine } from 'liquidjs';
import { BaseEngine } from '../base-engine.js';
export class Liquid extends BaseEngine {
    constructor(options) {
        super();
        this.names = ['liquid'];
        if (options) {
            this.opts = options;
        }
        this.setExtensions(['liquid']);
    }
    async render(source, data) {
        if (this.rootTemplatePath) {
            this.opts ||= {};
            this.opts.root = this.rootTemplatePath;
        }
        // eslint-disable-next-line logical-assignment-operators
        if (!this.engine) {
            // eslint-disable-next-line @typescript-eslint/no-unsafe-argument
            this.engine = new LiquidEngine(this.opts);
        }
        // eslint-disable-next-line @typescript-eslint/no-unsafe-return, @typescript-eslint/no-unsafe-call
        return this.engine.parseAndRender(source, data);
    }
    renderSync(source, data) {
        if (this.rootTemplatePath) {
            this.opts ||= {};
            this.opts.root = this.rootTemplatePath;
        }
        // eslint-disable-next-line logical-assignment-operators
        if (!this.engine) {
            // eslint-disable-next-line @typescript-eslint/no-unsafe-argument
            this.engine = new LiquidEngine(this.opts);
        }
        // eslint-disable-next-line @typescript-eslint/no-unsafe-call
        return this.engine.parseAndRenderSync(source, data);
    }
}
//# sourceMappingURL=liquid.js.map