import * as nunjucks from 'nunjucks';
import { BaseEngine } from '../base-engine.js';
export class Nunjucks extends BaseEngine {
    constructor(options) {
        super();
        this.names = ['nunjucks'];
        this.engine = nunjucks;
        this.opts = { autoescape: true }; // Default opts
        if (options) {
            this.opts = options;
        }
        this.setExtensions(['njk']);
    }
    async render(source, data) {
        if (this.rootTemplatePath) {
            nunjucks.configure(this.rootTemplatePath, this.opts);
        }
        else {
            nunjucks.configure(this.opts);
        }
        data ||= {};
        return nunjucks.renderString(source, data);
    }
    renderSync(source, data) {
        if (this.rootTemplatePath) {
            nunjucks.configure(this.rootTemplatePath, this.opts);
        }
        else {
            nunjucks.configure(this.opts);
        }
        data ||= {};
        return nunjucks.renderString(source, data);
    }
}
//# sourceMappingURL=nunjucks.js.map