import * as pug from 'pug';
import { BaseEngine } from '../base-engine.js';
export class Pug extends BaseEngine {
    constructor(options) {
        super();
        this.names = ['pug'];
        this.engine = pug;
        if (options) {
            this.opts = options;
        }
        this.setExtensions(['pug', 'jade']);
    }
    async render(source, data) {
        if (this.rootTemplatePath) {
            this.opts ||= {};
            this.opts.basedir = this.rootTemplatePath;
        }
        // eslint-disable-next-line @typescript-eslint/no-unsafe-argument
        const template = pug.compile(source, this.opts);
        return template(data);
    }
    renderSync(source, data) {
        if (this.rootTemplatePath) {
            this.opts ||= {};
            this.opts.basedir = this.rootTemplatePath;
        }
        // eslint-disable-next-line @typescript-eslint/no-unsafe-argument
        const template = pug.compile(source, this.opts);
        return template(data);
    }
}
//# sourceMappingURL=pug.js.map